## org.gnu.gtk
Class Style

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.Style

public class Style
extends GObject

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`Style()` Construct a new Style object.
`Style(Handle handle)` Construct a new Style object from a handle to a native resource.

Method Summary
`void` `applyDefaultBackground(Window window, boolean setBG, StateType stateType, Rectangle rect, int x, int y, int width, int height)`
`Style` `attach(Window window)`
`void` `detach(Style style)`
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static void` `gtk_style_apply_default_background(Handle style, Handle window, boolean setBG, int stateType, Handle area, int x, int y, int width, int height)`
`protected static Handle` `gtk_style_attach(Handle style, Handle window)`
`protected static Handle` `gtk_style_copy(Handle style)`
`protected static void` `gtk_style_detach(Handle style)`
`protected static int` `gtk_style_get_type()`
`protected static Handle` `gtk_style_lookup_icon_set(Handle style, java.lang.String stockId)`
`protected static Handle` `gtk_style_new()`
`protected static Handle` `gtk_style_render_icon(Handle style, Handle source, int direction, int state, int size, int[] widget, java.lang.String detail)`
`protected static void` `gtk_style_set_background(Handle style, Handle window, int stateType)`
`IconSet` `lookupIconSet(java.lang.String stockID)`
`void` `setBackground(Window window, StateType stateType)`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Style

    public Style()

  Construct a new Style object.

### Style

    public Style(Handle handle)

  Construct a new Style object from a handle to a native resource.

Method Detail

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### attach

    public Style attach(Window window)

### detach

    public void detach(Style style)

### setBackground

    public void setBackground(Window window,
                              StateType stateType)

### applyDefaultBackground

    public void applyDefaultBackground(Window window,
                                       boolean setBG,
                                       StateType stateType,
                                       Rectangle rect,
                                       int x,
                                       int y,
                                       int width,
                                       int height)

### lookupIconSet

    public IconSet lookupIconSet(java.lang.String stockID)

### gtk_style_get_type

    protected static final int gtk_style_get_type()

### gtk_style_new

    protected static final Handle gtk_style_new()

### gtk_style_copy

    protected static final Handle gtk_style_copy(Handle style)

### gtk_style_attach

    protected static final Handle gtk_style_attach(Handle style,
                                                   Handle window)

### gtk_style_detach

    protected static final void gtk_style_detach(Handle style)

### gtk_style_set_background

    protected static final void gtk_style_set_background(Handle style,
                                                         Handle window,
                                                         int stateType)

### gtk_style_apply_default_background

    protected static final void gtk_style_apply_default_background(Handle style,
                                                                   Handle window,
                                                                   boolean setBG,
                                                                   int stateType,
                                                                   Handle area,
                                                                   int x,
                                                                   int y,
                                                                   int width,
                                                                   int height)

### gtk_style_lookup_icon_set

    protected static final Handle gtk_style_lookup_icon_set(Handle style,
                                                            java.lang.String stockId)

### gtk_style_render_icon

    protected static final Handle gtk_style_render_icon(Handle style,
                                                        Handle source,
                                                        int direction,
                                                        int state,
                                                        int size,
                                                        int[] widget,
                                                        java.lang.String detail)